Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #2046 (closed defect: fixed)

Opened 9 years ago

Last modified 8 years ago

'tg-admin update' does not detect if project uses Elixir model

Reported by: Chris Arndt Owned by: Chris Arndt
Priority: low Milestone: 1.1
Component: tg-admin (non-toolbox) Version: 1.1 HEAD
Severity: normal Keywords:
Cc:

Description (last modified by Chris Arndt) (diff)

The current (r5735) implementation of command.quickstart.update is not able to detect if the project which is updated uses an Elixir based model and will mistakenly think that the project uses an SQLAlchemy based model and overwrite the model file with a wrong default model.

I'm not sure how an Elixir base model should be detected. Maybe we need a new configuration option for this?

Workaround: use the -e option to specify an Elixir model when using tg-admin update.

Change History

comment:1 Changed 9 years ago by Chris Arndt

  • Owner changed from faide to Chris Arndt
  • Component changed from TurboGears to tg-admin (non-toolbox)

comment:2 Changed 8 years ago by Chris Arndt

  • Description modified (diff)

comment:3 Changed 8 years ago by Chris Arndt

  • Status changed from new to assigned
  • Priority changed from normal to low

Setting priority to low: there is a workaround and SA models are our main concern atm.

comment:4 Changed 8 years ago by Chris Arndt

  • Status changed from assigned to closed
  • Resolution set to fixed

Fixed in r6676.

Note: See TracTickets for help on using tickets.